package config

data class EnvConfig (
    var mqHost: String = System.getenv("MQ_HOST") ?: "localhost",
    var mqUserName: String = System.getenv("MQ_USERNAME") ?: "user",
    var mqPassWord: String = System.getenv("MQ_PASSWORD") ?: "rabbitmq",
    var mqExchange: String = System.getenv("MQ_EXCHANGE") ?: "sample",
    var dbJdbc: String = System.getenv("DB_JDBC") ?: "jdbc:postgresql://localhost:5432/sample-service",
    var dbUsername: String = System.getenv("DB_USERNAME") ?: "sample-service",
    var dbPassowrd: String = System.getenv("DB_PASSOWRD") ?: "sample-service"
)